Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface RegistryPackageType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  RegistryPackageTypeImpl

    public interface RegistryPackageType

extends RegistryObjectType

A representation of the model object 'Registry Package Type'. RegistryPackage is the mapping of the same named interface in ebRIM. It extends RegistryObject. A RegistryPackage is a named collection of objects.

The following features are supported:

- `Registry Object List`

See Also:
  `RimPackage.getRegistryPackageType()`

Method Summary
`RegistryObjectListType` | `getRegistryObjectList()` Returns the value of the 'Registry Object List' containment reference.
`void` | `setRegistryObjectList(RegistryObjectListType value)` Sets the value of the '`Registry Object List`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryObjectList

    RegistryObjectListType getRegistryObjectList()

  Returns the value of the 'Registry Object List' containment reference.

  If the meaning of the 'Registry Object List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object List' containment reference.
  See Also:
    `setRegistryObjectList(RegistryObjectListType)`, `RimPackage.getRegistryPackageType_RegistryObjectList()`

### setRegistryObjectList

    void setRegistryObjectList(RegistryObjectListType value)

  Sets the value of the '`Registry Object List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object List' containment reference.
  See Also:
    `getRegistryObjectList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD